Utilizamos cookies propias y de terceros para mejorar nuestros servicios y mostrarle publicidad relacionada con sus preferencias mediante el análisis de sus hábitos de navegación. Si continua navegando, consideramos que acepta su uso. Puede cambiar la configuración u obtener más información aquí
Política de cookies +
tiro al blanco airsoft
  1. ¿Que configuración deben tener mis proyectos de extensiones?

¿Que configuración deben tener mis proyectos de extensiones?

La versión de plataforma .NET que utiliza E-Sniper es la 4.0, por lo que puedes utilizar VisualStudio 2010 y 2012 para desarrollar extensiones.

E-Sniper está compilado con la opción de plataforma x86, de manera que pueda funcionar en equipos con sistema operativo de 32 bits. Además, la librería con la que se gestionan las cámaras USB también es un ensamblado de 32 bits. Por lo tanto, los proyectos de extensiones del programa también deben tener como destino esta plataforma, no siendo válidas las opciones x64 ni AnyCPU, ya que esta genera código que en los sistemas operativos de 64 bits se comporta como x64.

También se debe añadir siempre una referencia al ensamblado E-Sniper.AddOns.dll, que contiene el núcleo del SDK. Esta librería se distribuye siempre junto con E-Sniper, por lo que no debes incluirla en tu lista de ficheros o la instalación fallará, pues el programa no permite que se sobreescriba ninguno de los ensamblados del sistema por seguridad.

Arriba